hi every body
im having a trouble tryng to get the isometric view. the code im using is the following.
under this code i change the view of the part and trying to get the isometric so the part can rotate from the isometric, but what is doing, is rotaring to isometric from the last rotate
my english is not so good, hope you can undestand me, thank you so much for your help.
Language="VBSCRIPT"
Sub CATMain()
For x = 0 to 1
For y = 0 to 1
For z = 0 to 1
Set specsAndGeomWindow1 = CATIA.ActiveWindow
Set viewer3D1 = specsAndGeomWindow1.ActiveViewer
Set viewpoint3D1 = viewer3D1.Viewpoint3D
viewpoint3D1.PutSightDirection Array(z, y, z)
Set specsAndGeomWindow1 = CATIA.ActiveWindow
Set viewer3D1 = specsAndGeomWindow1.ActiveViewer
viewer3D1.Reframe
Set viewpoint3D1 = viewer3D1.Viewpoint3D
Set specsAndGeomWindow1 = CATIA.ActiveWindow
Set viewer3D1 = specsAndGeomWindow1.ActiveViewer
Set viewpoint3D1 = viewer3D1.Viewpoint3D
viewpoint3D1.PutSightDirection Array(0, 1, 0, 0, 0, 1)
Set specsAndGeomWindow1 = CATIA.ActiveWindow
Set viewer3D1 = specsAndGeomWindow1.ActiveViewer
viewer3D1.Reframe
Set viewpoint3D1 = viewer3D1.Viewpoint3D
Next
Next
Next
End Sub
im having a trouble tryng to get the isometric view. the code im using is the following.
under this code i change the view of the part and trying to get the isometric so the part can rotate from the isometric, but what is doing, is rotaring to isometric from the last rotate
my english is not so good, hope you can undestand me, thank you so much for your help.
Language="VBSCRIPT"
Sub CATMain()
For x = 0 to 1
For y = 0 to 1
For z = 0 to 1
Set specsAndGeomWindow1 = CATIA.ActiveWindow
Set viewer3D1 = specsAndGeomWindow1.ActiveViewer
Set viewpoint3D1 = viewer3D1.Viewpoint3D
viewpoint3D1.PutSightDirection Array(z, y, z)
Set specsAndGeomWindow1 = CATIA.ActiveWindow
Set viewer3D1 = specsAndGeomWindow1.ActiveViewer
viewer3D1.Reframe
Set viewpoint3D1 = viewer3D1.Viewpoint3D
Set specsAndGeomWindow1 = CATIA.ActiveWindow
Set viewer3D1 = specsAndGeomWindow1.ActiveViewer
Set viewpoint3D1 = viewer3D1.Viewpoint3D
viewpoint3D1.PutSightDirection Array(0, 1, 0, 0, 0, 1)
Set specsAndGeomWindow1 = CATIA.ActiveWindow
Set viewer3D1 = specsAndGeomWindow1.ActiveViewer
viewer3D1.Reframe
Set viewpoint3D1 = viewer3D1.Viewpoint3D
Next
Next
Next
End Sub